Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.security.owsrequestvalidator
Class ResponseValidator

    java.lang.Object
      org.deegree.security.owsrequestvalidator.ResponseValidator

Direct Known Subclasses:
  AbstractCSWResponseValidator, GetCapabilitiesResponseValidator, GetFeatureInfoResponseValidator, GetFeatureResponseValidator, GetLegendGraphicResponseValidator, GetMapResponseValidator, GetRecordsResponseValidator, GetRepositoryItemResponseValidator

    public abstract class ResponseValidator

extends Object

Since:
  1.1
Version:
  1.1, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth , last edited by: $Author: mschneider $

Field Summary
`protected GeneralPolicyValidator` | `gpv`
`protected Policy` | `policy`
`protected static String` | `UNKNOWNMIMETYPE`

Constructor Summary
`ResponseValidator(Policy policy)`

Method Summary
`Policy` | `getPolicy()`
`void` | `setPolicy(Policy policy)`
`abstract byte[]` | `validateResponse(String service, byte[] response, String mime, User user)` validates if the passed response itself and its content is valid against the conditions defined in the policies assigned to a `OWSPolicyValidator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNKNOWNMIMETYPE

    protected static final String UNKNOWNMIMETYPE

### policy

    protected Policy policy

### gpv

    protected GeneralPolicyValidator gpv

Constructor Detail

### ResponseValidator

    public ResponseValidator(Policy policy)

Parameters:
  `policy` -

Method Detail

### getPolicy

    public Policy getPolicy()

  Returns:
    Returns the policy.

### setPolicy

    public void setPolicy(Policy policy)

  Parameters:
    `policy` - The policy to set.

### validateResponse

    public abstract byte[] validateResponse(String service,
                                            byte[] response,
                                            String mime,
                                            User user)
                                     throws InvalidParameterValueException,
                                            UnauthorizedException

  validates if the passed response itself and its content is valid against the conditions defined in the policies assigned to a `OWSPolicyValidator`

  Parameters:
    `service` - service which produced the response (WMS, WFS ...)
    `response` -
    `mime` - mime-type of the response
    `user` -
  Throws:
    `InvalidParameterValueException`
    `UnauthorizedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org